Форум русскоязычного сообщества Ubuntu


За новостями русскоязычного сообщества и Ubuntu в целом можно следить на нашей страничке в Google+

Автор Тема: Не могу найти решения проблемы PPA через прокси  (Прочитано 1882 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Dsaaaar

  • Автор темы
  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
Доброго дня всем. Перерыл множество информации (в том числе англоязычной), но ответа найти так и не смог. Проблема: при команде sudo add-apt-repository ppa:whatsapp-purple/ppa выдает следующую ошибку:
Traceback (most recent call last):
  File "/usr/lib/python3.5/http/client.py", line 798, in _get_hostport
    port = int(host[i+1:])
ValueError: invalid literal for int() with base 10: '8080/'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 102, in _get_https_content_py3
    lp_page = urllib.request.urlopen(request, cafile=LAUNCHPAD_PPA_CERT)
  File "/usr/lib/python3.5/urllib/request.py", line 162, in urlopen
    return opener.open(url, data, timeout)
  File "/usr/lib/python3.5/urllib/request.py", line 465, in open
    response = self._open(req, data)
  File "/usr/lib/python3.5/urllib/request.py", line 483, in _open
    '_open', req)
  File "/usr/lib/python3.5/urllib/request.py", line 443, in _call_chain
    result = func(*args)
  File "/usr/lib/python3.5/urllib/request.py", line 1286, in https_open
    context=self._context, check_hostname=self._check_hostname)
  File "/usr/lib/python3.5/urllib/request.py", line 1213, in do_open
    h = http_class(host, timeout=req.timeout, **http_conn_args)
  File "/usr/lib/python3.5/http/client.py", line 1233, in __init__
    source_address)
  File "/usr/lib/python3.5/http/client.py", line 762, in __init__
    (self.host, self.port) = self._get_hostport(host, port)
  File "/usr/lib/python3.5/http/client.py", line 803, in _get_hostport
    raise InvalidURL("nonnumeric port: '%s'" % host[i+1:])
http.client.InvalidURL: nonnumeric port: '8080/'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 327, in get_ppa_info
    ret = get_ppa_info_from_lp(user, ppa)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 92, in get_ppa_info_from_lp
    return get_info_from_lp(lp_url)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 88, in get_info_from_lp
    return _get_https_content_py3(lp_url)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 108, in _get_https_content_py3
    raise PPAException("Error reading %s: %s" % (lp_url, reason), e)
softwareproperties.ppa.PPAException: "Error reading https://launchpad.net/api/1.0/~whatsapp-purple/+archive/ubuntu/ppa: nonnumeric port: '8080/'"

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 393, in shortcut_handler
    return PPAShortcutHandler(shortcut)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 356, in __init__
    info = get_ppa_info(self.shortcut)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 339, in get_ppa_info
    _get_suggested_ppa_message(user, ppa))
softwareproperties.shortcuts.ShortcutException: Cannot add PPA: 'ppa:~whatsapp-purple/ubuntu/ppa'.
ERROR: '~whatsapp-purple' user or team does not exist.
Ошибка: неправильный 'ppa:whatsapp-purple/ppa'
apt-get install работает без проблем, проблемы именно с PPA. Настройки прокси выставил везде, где только можно. В том числе использовал export в самом терминале. Не могу понять, в чем конкретно проблема. Пробовал ставить разные порты, результат тот же. Может кто сталкивался? Ubuntu 16.04 32-разрядная.

Оффлайн mihasЬ

  • Участник
  • *
  • Сообщений: 236
    • Просмотр профиля

Оффлайн Dsaaaar

  • Автор темы
  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
Да, не помогает

Оффлайн mihasЬ

  • Участник
  • *
  • Сообщений: 236
    • Просмотр профиля
Dsaaaar, http://kubuntu.ru/node/11104
http://www.welinux.ru/post/4956/
Вот ещё пара ссылок, у самого прокси не было, так что...

Оффлайн Dsaaaar

  • Автор темы
  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
Спасибо, первая ссылка помогла  ;)

Оффлайн mihasЬ

  • Участник
  • *
  • Сообщений: 236
    • Просмотр профиля
Dsaaaar, На здоровье.  :)

Оффлайн skybour

  • Старожил
  • *
  • Сообщений: 2224
    • Просмотр профиля
Добавь в /etc/apt/sources.list.d/ файл с адресом нужного репозитория.

 

Страница сгенерирована за 0.057 секунд. Запросов: 24.